set -e
sudo dpkg --add-architecture i386
sudo apt-get update
sudo apt-get install \
    zsh curl wget vim fd-find bat git keepassxc borgbackup kitty \
    guake flatpak chromium python3 python-is-python3 tmux borgbackup \
    lsd fzf btop htop tldr gnome-software-plugin-flatpak syncthing-gtk \
    syncthing krita gimp fprintd libpam-fprintd git-lfs locate \
    deb-gview gconf2 geary bvi xxd gnome-applets gnome-colors \
    gnome-remote-desktop gnome-shell-extension-gsconnect \
    gnome-shell-extension-manager gnome-shell-extension-runcat binutils \
    build-essential linux-base lolcat gdb hunspell debian-keyring checkinstall \
    zoxide wl-clipboard libasound2-dev libdbus-1-dev software-properties-gtk \
    trash-cli gnome-shell-extension-manager fonts-firacode \
	ripgrep wget gnupg2 gnupg-agent dirmngr cryptsetup scdaemon pcscd \
	tree gnupg gnupg-agent scdaemon wine steam steam-installer \
	zam-plugins ibus-anthy python3-venv debian-keyring steam-devices \
	plymouth plymouth-themes polari how-can-i-help nmap \
	devscripts mmdebstrap sbuild uidmap gnome-tweaks rsync \
	autopkgtest quilt reprepro aptitude gawk moreutils \
	git-buildpackage python3-pip python3-venv python3-virtualenv  \
	gnome-shell-extension-gpaste gpaste-2 whois winbind util-linux \
	uuid-runtime python3-autopep8 python3-flake8 pre-commit python3-poetry \
	bsdgames vitetris wireguard wireshark virt-manager \
    mesa-vulkan-drivers libglx-mesa0:i386 mesa-vulkan-drivers:i386 libgl1-mesa-dri:i386 \
	fonts-noto* font-manager
sudo apt-get remove xserver-xorg-video-intel
flatpak remote-add --if-not-exists flathub https://dl.flathub.org/repo/flathub.flatpakrepo
flatpak install \
    md.obsidian.Obsidian \
    org.signal.Signal \
    org.inkscape.Inkscape \
    com.rustdesk.RustDesk \
    dev.deedles.Trayscale \
	dev.vencord.Vesktop \
	org.gnome.Fractal \
	org.prismlauncher.PrismLauncher \
	org.kiwix.desktop \
	com.transmissionbt.Transmission \
    com.borgbase.Vorta

sudo apt-get upgrade
sudo apt-get autoremove
